Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155006

Summary: usbutils require libusb-devel >= 0.1.8
Product: [Fedora] Fedora Reporter: Robert Scheck <redhat-bugzilla>
Component: usbutilsAssignee: Thomas Woerner <twoerner>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: EasyFix
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.70-1.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-18 16:48:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Robert Scheck 2005-04-15 15:50:27 UTC
Description of problem:
[...]
checking for usb_get_string_simple in -lusb... no
configure: error: get libusb 1.8 or newer

Version-Release number of selected component (if applicable):
usbutils-0.70-1

How reproducible:
Everytime, try to rebuild usbutils without having libusb-devel installed.

Actual results / Expected results:
--- usbutils.spec       2005-04-14 18:23:11.000000000 +0200
+++ usbutils.spec.rsc   2005-04-15 17:49:07.000000000 +0200
@@ -7,7 +7,7 @@
 License: GPL
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Requires: hwdata
-BuildRequires: libtool
+BuildRequires: libtool, libusb-devel >= 1.8
 Summary: Linux USB utilities.
 Group: Applications/System
 Conflicts: hotplug < 3:2002_01_14-2

Comment 1 Robert Scheck 2005-04-15 15:52:36 UTC
Oops, I messed the package version up - big sorry:

--- usbutils.spec       2005-04-14 18:23:11.000000000 +0200
+++ usbutils.spec.rsc   2005-04-15 17:49:07.000000000 +0200
@@ -7,7 +7,7 @@
 License: GPL
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Requires: hwdata
-BuildRequires: libtool
+BuildRequires: libtool, libusb-devel >= 0.1.8
 Summary: Linux USB utilities.
 Group: Applications/System
 Conflicts: hotplug < 3:2002_01_14-2

Comment 2 Robert Scheck 2005-04-18 16:48:39 UTC
Commited in CVS (and maybe already built), closing now & thanks.